%Script to export .dat files into .mat files. 
clear;
clc;


AllFiles = dir('*.dat');%Make a list of all the .dat files in the current folder
for i = 1:length(AllFiles);% Loop through all the .dat files
    ThisFile = AllFiles(i);
    FileName = ThisFile.name;%get the name of the current file as a string
    SubData = importdata(FileName,' ',1);% open the file
    The_Participants_ID = SubData.data(1,1) %get subID
    Checkerboard_Data = SubData.data; %save as .mat file
    save(strcat(num2str(The_Participants_ID),'CBexp.mat'),'Checkerboard_Data');
end